

// jQuery("#roll").slide({
//     mainCell: "ul",
//     autoPlay: true,
//     effect: "leftMarquee",
//     vis: 4,
//     interTime: 50,
//     trigger: "click"
// });

$(".memu-btn").click(function(){
    if($(this).hasClass('memu-btn-active')){
        $(this).removeClass('memu-btn-active');
        $(".aside").removeClass('aside-active');
        $(".header").css('transform','translateX(0)');
    }else {
        $(this).addClass('memu-btn-active');
        $(".aside").addClass('aside-active');
        $(".warp").fadeIn(300);
        $(".header").css('transform','translateX(-200px)');
    }
})

$(".warp").click(function(){
    $(this).fadeOut(300);
    $(".memu-btn").removeClass('memu-btn-active');
    $(".aside").removeClass('aside-active');
    $(".header").css('transform','translateX(0)');
})

$(".nav ul li").hover(function(){
    $(this).find(".navbox").stop().slideToggle();
})


$(".aside ul li").hover(function(){
    $(this).find(".navlists").stop().slideToggle();
})

$(".aside ul li").click(function(){
    $(this).has("navlists").children("navlists").stop().slideToggle();
})


$(window).scroll(function(){
    let _top = $(document).scrollTop();

    if(_top > 10) {
        $(".nav").addClass("header_fixed");
        if($(window).width()<1200) {
            $(".header").addClass("header_fixed");
        }
    }else {
        $(".nav").removeClass("header_fixed");
        if($(window).width()<1200) {
            $(".header").removeClass("header_fixed");
        }
    }
})

$(".isearch").click(function(){
    $(".warp2").fadeIn();
    $("body").css("overflow-y","hidden")
})

$("#close").click(function(){
    $(".warp2").fadeOut();
    $("body").css("overflow-y","auto")
})
$(".search").click(function(){
    $(this).find("input").focus();
})
